summaryrefslogtreecommitdiffhomepage
path: root/test/e2e
diff options
context:
space:
mode:
authorIan Lewis <ianlewis@google.com>2019-12-06 06:39:35 +0900
committerFabricio Voznika <fvoznika@google.com>2019-12-05 13:39:35 -0800
commit757adfa287c17d925aec7976a86986bd5b52229c (patch)
tree9ff6d8c3422a3ce4ca9d1f5929a8bbb780f96f4e /test/e2e
parent1547f2451927d95f9da1a24479e57a47405dc1ed (diff)
Add docs for Kubernetes Runtime Class. (#33)
Adds doc to explicitly create the Kubernetes RuntimeClass object needed to use the shim via the Kubernetes API.
Diffstat (limited to 'test/e2e')
-rwxr-xr-xtest/e2e/runtimeclass-install.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/test/e2e/runtimeclass-install.sh b/test/e2e/runtimeclass-install.sh
new file mode 100755
index 000000000..28abbcd00
--- /dev/null
+++ b/test/e2e/runtimeclass-install.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# A sample script to test installing a RuntimeClass
+
+set -ex
+
+{ # Step 1: Install a RuntimeClass
+cat <<EOF | kubectl apply -f -
+apiVersion: node.k8s.io/v1beta1
+kind: RuntimeClass
+metadata:
+ name: gvisor
+handler: runsc
+EOF
+}
+
+{ # Step 2: Create a pod
+cat <<EOF | kubectl apply -f -
+apiVersion: v1
+kind: Pod
+metadata:
+ name: nginx-gvisor
+spec:
+ runtimeClassName: gvisor
+ containers:
+ - name: nginx
+ image: nginx
+EOF
+}
+
+{ # Step 3: Get the pod
+kubectl get pod nginx-gvisor -o wide
+}